All of lore.kernel.org
 help / color / mirror / Atom feed
* [ndctl PATCH] test, btt-check: bump supported version to 4.13
@ 2017-05-01 22:58 Dan Williams
  0 siblings, 0 replies; only message in thread
From: Dan Williams @ 2017-05-01 22:58 UTC (permalink / raw)
  To: linux-nvdimm

Given that the kernel needs to carry the BTT error clearing workaround
for another cycle [1], bump the default expectations of this test to
4.13. It is worth noting that the nfit_test bus provider does not suffer
from the same sleeping while atomic issue in its emulation of the "clear
error DSM", so this kernel band-aid can be reverted when testing through
that path.

[1]: https://patchwork.kernel.org/patch/9706741/

Cc: Vishal Verma <vishal.l.verma@intel.com>
Signed-off-by: Dan Williams <dan.j.williams@intel.com>
---
 test/btt-check.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/btt-check.sh b/test/btt-check.sh
index 2dde2461ec81..4c328fecbe88 100755
--- a/test/btt-check.sh
+++ b/test/btt-check.sh
@@ -43,7 +43,7 @@ check_min_kver()
 	[[ "$ver" == "$(echo -e "$ver\n$KVER" | sort -V | head -1)" ]]
 }
 
-check_min_kver "4.12" || { echo "kernel $KVER may not support badblocks clearing on pmem via btt"; exit $rc; }
+check_min_kver "4.13" || { echo "kernel $KVER may not support badblocks clearing on pmem via btt"; exit $rc; }
 
 create()
 {

_______________________________________________
Linux-nvdimm mailing list
Linux-nvdimm@lists.01.org
https://lists.01.org/mailman/listinfo/linux-nvdimm

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-05-01 23:04 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2017-05-01 22:58 [ndctl PATCH] test, btt-check: bump supported version to 4.13 Dan Williams

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.